> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://help.sigmacomputing.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.sigmacomputing.com/_mcp/server.

# List source swap policies (Beta)

GET https://api.sigmacomputing.com/v2/sourceSwapPolicies

Get a list of source swap policies.

  **Beta**: Getting a list of **Connection** source swap policies is in private beta and must be enabled for your organization. Getting a list of **Deployment** source swap policies is in public beta. This documentation is subject to the [Beta features](/docs/sigma-product-releases#beta-features) disclaimer.
    

Reference: https://help.sigmacomputing.com/reference/list-source-swap-policies

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: sigma-rest-api
  version: 1.0.0
paths:
  /v2/sourceSwapPolicies:
    get:
      operationId: listSourceSwapPolicies
      summary: List source swap policies (Beta)
      description: |-
        Get a list of source swap policies.

          **Beta**: Getting a list of **Connection** source swap policies is in private beta and must be enabled for your organization. Getting a list of **Deployment** source swap policies is in public beta. This documentation is subject to the [Beta features](/docs/sigma-product-releases#beta-features) disclaimer.
            
      tags:
        - sourceSwapPolicies
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: string
        - name: limit
          in: query
          required: false
          schema:
            type: number
            format: double
        - name: Authorization
          in: header
          description: OAuth authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The response body.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/sourceSwapPolicies_listSourceSwapPolicies_Response_200
servers:
  - url: https://api.sigmacomputing.com
    description: Server for GCP (US) hosted organizations
  - url: https://api.sa.gcp.sigmacomputing.com
    description: Server for GCP (KSA) hosted organizations
  - url: https://aws-api.sigmacomputing.com
    description: Server for AWS US (West) hosted organizations
  - url: https://api.us-a.aws.sigmacomputing.com
    description: Server for AWS US (East) hosted organizations
  - url: https://api.ca.aws.sigmacomputing.com
    description: Server for AWS Canada hosted organizations
  - url: https://api.eu.aws.sigmacomputing.com
    description: Server for AWS Europe hosted organizations
  - url: https://api.au.aws.sigmacomputing.com
    description: Server for AWS Australia and APAC hosted organizations
  - url: https://api.uk.aws.sigmacomputing.com
    description: Server for AWS UK hosted organizations
  - url: https://api.us.azure.sigmacomputing.com
    description: Server for Azure US hosted organizations
  - url: https://api.eu.azure.sigmacomputing.com
    description: Server for Azure Europe hosted organizations
  - url: https://api.ca.azure.sigmacomputing.com
    description: Server for Azure Canada hosted organizations
  - url: https://api.uk.azure.sigmacomputing.com
    description: Server for Azure United Kingdom hosted organizations
  - url: https://api.au.azure.sigmacomputing.com
    description: Server for Azure Australia hosted organizations
components:
  schemas:
    V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsType:
      type: string
      enum:
        - connection
      title: >-
        V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsType
    V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath0OneOf0SwapType:
      type: string
      enum:
        - attribute
      description: >-
        Specify a user attribute to use the value of the user attribute as the
        value to swap.
      title: >-
        V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath0OneOf0SwapType
    V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath00:
      type: object
      properties:
        swapType:
          $ref: >-
            #/components/schemas/V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath0OneOf0SwapType
          description: >-
            Specify a user attribute to use the value of the user attribute as
            the value to swap.
        userAttributeId:
          type: string
      required:
        - swapType
        - userAttributeId
      title: >-
        V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath00
    V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath0OneOf1SwapType:
      type: string
      enum:
        - exact
      description: Specify the value in the path to swap to
      title: >-
        V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath0OneOf1SwapType
    V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath01:
      type: object
      properties:
        swapType:
          $ref: >-
            #/components/schemas/V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath0OneOf1SwapType
          description: Specify the value in the path to swap to
        catalogObject:
          type: string
      required:
        - swapType
        - catalogObject
      title: >-
        V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath01
    V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath0OneOf2SwapType:
      type: string
      enum:
        - all
      description: Keep the current path value.
      title: >-
        V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath0OneOf2SwapType
    V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath02:
      type: object
      properties:
        swapType:
          $ref: >-
            #/components/schemas/V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath0OneOf2SwapType
          description: Keep the current path value.
      required:
        - swapType
      title: >-
        V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath02
    V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath0:
      oneOf:
        - $ref: >-
            #/components/schemas/V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath00
        - $ref: >-
            #/components/schemas/V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath01
        - $ref: >-
            #/components/schemas/V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath02
      description: >-
        The rule used to update this specific path value when the swap is
        performed. If the specified path (when resolved) does not exist, the
        swap is not performed.
      title: >-
        V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath0
    V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath1OneOf0SwapType:
      type: string
      enum:
        - attribute
      description: >-
        Specify a user attribute to use the value of the user attribute as the
        value to swap.
      title: >-
        V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath1OneOf0SwapType
    V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath10:
      type: object
      properties:
        swapType:
          $ref: >-
            #/components/schemas/V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath1OneOf0SwapType
          description: >-
            Specify a user attribute to use the value of the user attribute as
            the value to swap.
        userAttributeId:
          type: string
      required:
        - swapType
        - userAttributeId
      title: >-
        V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath10
    V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath1OneOf1SwapType:
      type: string
      enum:
        - exact
      description: Specify the value in the path to swap to
      title: >-
        V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath1OneOf1SwapType
    V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath11:
      type: object
      properties:
        swapType:
          $ref: >-
            #/components/schemas/V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath1OneOf1SwapType
          description: Specify the value in the path to swap to
        catalogObject:
          type: string
      required:
        - swapType
        - catalogObject
      title: >-
        V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath11
    V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath1OneOf2SwapType:
      type: string
      enum:
        - all
      description: Keep the current path value.
      title: >-
        V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath1OneOf2SwapType
    V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath12:
      type: object
      properties:
        swapType:
          $ref: >-
            #/components/schemas/V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath1OneOf2SwapType
          description: Keep the current path value.
      required:
        - swapType
      title: >-
        V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath12
    V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath1:
      oneOf:
        - $ref: >-
            #/components/schemas/V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath10
        - $ref: >-
            #/components/schemas/V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath11
        - $ref: >-
            #/components/schemas/V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath12
      description: >-
        The rule used to update this specific path value when the swap is
        performed. If the specified path (when resolved) does not exist, the
        swap is not performed.
      title: >-
        V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath1
    V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath2OneOf0SwapType:
      type: string
      enum:
        - attribute
      description: >-
        Specify a user attribute to use the value of the user attribute as the
        value to swap.
      title: >-
        V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath2OneOf0SwapType
    V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath20:
      type: object
      properties:
        swapType:
          $ref: >-
            #/components/schemas/V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath2OneOf0SwapType
          description: >-
            Specify a user attribute to use the value of the user attribute as
            the value to swap.
        userAttributeId:
          type: string
      required:
        - swapType
        - userAttributeId
      title: >-
        V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath20
    V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath2OneOf1SwapType:
      type: string
      enum:
        - exact
      description: Specify the value in the path to swap to
      title: >-
        V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath2OneOf1SwapType
    V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath21:
      type: object
      properties:
        swapType:
          $ref: >-
            #/components/schemas/V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath2OneOf1SwapType
          description: Specify the value in the path to swap to
        catalogObject:
          type: string
      required:
        - swapType
        - catalogObject
      title: >-
        V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath21
    V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath2OneOf2SwapType:
      type: string
      enum:
        - all
      description: Keep the current path value.
      title: >-
        V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath2OneOf2SwapType
    V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath22:
      type: object
      properties:
        swapType:
          $ref: >-
            #/components/schemas/V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath2OneOf2SwapType
          description: Keep the current path value.
      required:
        - swapType
      title: >-
        V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath22
    V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath2:
      oneOf:
        - $ref: >-
            #/components/schemas/V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath20
        - $ref: >-
            #/components/schemas/V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath21
        - $ref: >-
            #/components/schemas/V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath22
      description: >-
        The rule used to update this specific path value when the swap is
        performed. If the specified path (when resolved) does not exist, the
        swap is not performed.
      title: >-
        V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath2
    V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsTo:
      type: object
      properties:
        path0:
          $ref: >-
            #/components/schemas/V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath0
          description: >-
            The rule used to update this specific path value when the swap is
            performed. If the specified path (when resolved) does not exist, the
            swap is not performed.
        path1:
          $ref: >-
            #/components/schemas/V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath1
          description: >-
            The rule used to update this specific path value when the swap is
            performed. If the specified path (when resolved) does not exist, the
            swap is not performed.
        path2:
          $ref: >-
            #/components/schemas/V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsToPath2
          description: >-
            The rule used to update this specific path value when the swap is
            performed. If the specified path (when resolved) does not exist, the
            swap is not performed.
      required:
        - path0
        - path1
      description: >-
        Specify how to swap each segment of a path to a table in your database,
        catalog, or project. `path0` is equivalent to a database, catalog, or
        project. `path` is equivalent to a schema or dataset, and `path2` is
        equivalent to a table or view.
      title: >-
        V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsTo
    V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItems:
      type: object
      properties:
        to:
          $ref: >-
            #/components/schemas/V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItemsTo
          description: >-
            Specify how to swap each segment of a path to a table in your
            database, catalog, or project. `path0` is equivalent to a database,
            catalog, or project. `path` is equivalent to a schema or dataset,
            and `path2` is equivalent to a table or view.
      required:
        - to
      title: >-
        V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItems
    V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwaps:
      type: object
      properties:
        connectionSwaps:
          type: array
          items:
            $ref: >-
              #/components/schemas/V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwapsConnectionSwapsItems
          description: Swap paths to a different location in the same connection.
      required:
        - connectionSwaps
      title: >-
        V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwaps
    V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItems:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsType
        name:
          type: string
          description: Name of the source swap policy.
        fromConnectionId:
          type: string
          description: ID of the connection to swap.
        swaps:
          $ref: >-
            #/components/schemas/V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItemsSwaps
        policyId:
          type: string
      required:
        - policyId
      description: Get source swap policy response
      title: V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItems
    sourceSwapPolicies_listSourceSwapPolicies_Response_200:
      type: object
      properties:
        entries:
          type: array
          items:
            $ref: >-
              #/components/schemas/V2SourceSwapPoliciesGetResponsesContentApplicationJsonSchemaEntriesItems
        nextPage:
          type:
            - string
            - 'null'
        total:
          type: number
          format: double
      required:
        - entries
        - nextPage
      title: sourceSwapPolicies_listSourceSwapPolicies_Response_200
  securitySchemes:
    OAuth:
      type: http
      scheme: bearer
      description: OAuth 2.0 authentication

```

## Examples



**Response**

```json
{
  "entries": [
    {
      "policyId": "string",
      "type": "connection",
      "name": "string",
      "fromConnectionId": "string",
      "swaps": {
        "connectionSwaps": [
          {
            "to": {
              "path0": {
                "swapType": "attribute",
                "userAttributeId": "string"
              },
              "path1": {
                "swapType": "attribute",
                "userAttributeId": "string"
              },
              "path2": {
                "swapType": "attribute",
                "userAttributeId": "string"
              }
            }
          }
        ]
      }
    }
  ],
  "nextPage": "string",
  "total": 1.1
}
```

**SDK Code**

```python
import requests

url = "https://api.sigmacomputing.com/v2/sourceSwapPolicies"

headers = {"Authorization": "<token>."}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sigmacomputing.com/v2/sourceSwapPolicies';
const options = {method: 'GET', headers: {Authorization: '<token>.'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sigmacomputing.com/v2/sourceSwapPolicies"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<token>.")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sigmacomputing.com/v2/sourceSwapPolicies")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<token>.'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.sigmacomputing.com/v2/sourceSwapPolicies")
  .header("Authorization", "<token>.")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.sigmacomputing.com/v2/sourceSwapPolicies', [
  'headers' => [
    'Authorization' => '<token>.',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sigmacomputing.com/v2/sourceSwapPolicies");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<token>.");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<token>."]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sigmacomputing.com/v2/sourceSwapPolicies")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```